class InstanceLoader {
    static getInstance<T>(context: Object, name: string, ...args: any[]) : T {
        var instance = Object.create(context[name].prototype);
        instance.constructor.apply(instance, args);
        return <T> instance;
    }
}

interface Person {
        name: string;
        gender: string;
}
class Details {
        public name = 'Jass';
        gender='Female';
        
}
var details = InstanceLoader.getInstance<Person>(window, 'Details', 'Some input', 'Some more input');
document.write('Name: '+details.name+ '<br/>');
document.write('Gender: '+details.gender);
